package com.ejie.ab39a.model;

/**
 * TipoOrganizacion.
 * 
 *  
 */

public class TipoOrganizacion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idTipoorganizacion;
	private String descripcion;
	private String descripciones;

	/**
	 * Method 'TipoOrganizacion'.
	 */
	public TipoOrganizacion() {
		super();
	}

	/**
	 * Method 'TipoOrganizacion'.
	 * 
	 * @param idTipoorganizacion
	 *            Long idTipoorganizacion
	 */
	public TipoOrganizacion(Long idTipoorganizacion) {
		super();
		this.idTipoorganizacion = idTipoorganizacion;
	}

	/**
	 * Method 'TipoOrganizacion'.
	 * 
	 * @param idTipoorganizacion
	 *            Long idTipoorganizacion
	 * @param descripcion
	 *            String descripcion
	 * @param descripciones
	 *            String descripciones
	 */
	public TipoOrganizacion(Long idTipoorganizacion, String descripcion, String descripciones) {
		super();

		this.idTipoorganizacion = idTipoorganizacion;
		this.descripcion = descripcion;
		this.descripciones = descripciones;
	}

	/**
	 * Method 'getIdTipoorganizacion'.
	 *
	 * @return Long
	 */

	public Long getIdTipoorganizacion() {
		return this.idTipoorganizacion;
	}

	/**
	 * Method 'setIdTipoorganizacion'.
	 *
	 * @param idTipoorganizacion
	 *            Long
	 */

	public void setIdTipoorganizacion(Long idTipoorganizacion) {
		this.idTipoorganizacion = idTipoorganizacion;
	}

	/**
	 * Method 'getDescripcion'.
	 *
	 * @return String
	 */

	public String getDescripcion() {
		return this.descripcion;
	}

	/**
	 * Method 'setDescripcion'.
	 *
	 * @param descripcion
	 *            String
	 */

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * Method 'getDescripciones'.
	 *
	 * @return String
	 */

	public String getDescripciones() {
		return this.descripciones;
	}

	/**
	 * Method 'setDescripciones'.
	 *
	 * @param descripciones
	 *            String
	 */

	public void setDescripciones(String descripciones) {
		this.descripciones = descripciones;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idTipoorganizacion: ").append(this.idTipoorganizacion).append(" ]");
		result.append(", [ descripcion: ").append(this.descripcion).append(" ]");
		result.append(", [ descripciones: ").append(this.descripciones).append(" ]");
		result.append("}");
		return result.toString();
	}

}
